<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePhotoGalleryDescriptionTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('photo_gallery_descriptions', function (Blueprint $table) {
            $table->id();
            $table->string('title', 100);

            $table->unsignedBigInteger('photo_gallery_id');
            $table->unsignedBigInteger('language_id');

            $table->foreign('photo_gallery_id')->references('id')->on('photo_galleries')->onDelete('cascade');

            $table->index(['photo_gallery_id', 'language_id']);
            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('photo_gallery_descriptions');
    }
}
